Bug 29452 - Unnecessary warns in sip logs
Summary: Unnecessary warns in sip logs
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Christophe Croullebois
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25790
  Show dependency treegraph
 
Reported: 2021-11-10 13:22 UTC by Christophe Croullebois
Modified: 2021-11-23 00:27 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.12,20.05.18


Attachments
remove unnecessary warns in the logs (886 bytes, patch)
2021-11-10 15:32 UTC, Christophe Croullebois
Details | Diff | Splinter Review
Bug 29452: remove unnecessary warns in the logs (937 bytes, patch)
2021-11-11 14:52 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29452: remove unnecessary warns in the logs (937 bytes, patch)
2021-11-11 14:56 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Croullebois 2021-11-10 13:22:07 UTC
many lines :
[WARN] Use of uninitialized value $value in substitution (s///) at /home/koha/src/C4/SIP/Sip.pm line 108
A simple add in sub maybe_add could correct that issue
Comment 1 Christophe Croullebois 2021-11-10 15:32:58 UTC
Created attachment 127514 [details] [review]
remove unnecessary warns in the logs

Test plan :

1° do for example '9900802.00' as a self-check machine.
2° check the SIP logs (usually in /var/log/syslog) without the patch you must have many :
[WARN] Use of uninitialized value $value in substitution (s///) at /home/koha/src/C4/SIP/Sip.pm line 108
3° apply the patch
4° re do '9900802.00'
5° check the logs => no more unnecessary warns
thx
Comment 2 Martin Renvoize 2021-11-11 14:52:25 UTC
Created attachment 127540 [details] [review]
Bug 29452: remove unnecessary warns in the logs

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2021-11-11 14:56:18 UTC
Created attachment 127541 [details] [review]
Bug 29452: remove unnecessary warns in the logs

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-11-11 14:56:58 UTC
Clear fix, works as expected.. Trivial patch.

Going straight for QA..

Passed
Comment 5 Jonathan Druart 2021-11-15 11:40:37 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-11-19 16:36:39 UTC
Pushed to 21.05.x for 21.05.05
Comment 7 Fridolin Somers 2021-11-20 00:16:03 UTC
Pushed to 20.11.x for 20.11.12
Comment 8 Victor Grousset/tuxayo 2021-11-22 01:43:05 UTC
Backported: Pushed to 20.05.x branch for 20.05.18
Comment 9 wainuiwitikapark 2021-11-23 00:27:58 UTC
Not backporting to 19.11.x - LTS version will just backport security patches